summaryrefslogtreecommitdiffstats
path: root/system/asus-fanmode
diff options
context:
space:
mode:
Diffstat (limited to 'system/asus-fanmode')
-rw-r--r--system/asus-fanmode/README5
-rw-r--r--system/asus-fanmode/asus-fanmode.SlackBuild110
-rw-r--r--system/asus-fanmode/asus-fanmode.info10
-rw-r--r--system/asus-fanmode/doinst.sh16
-rw-r--r--system/asus-fanmode/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/system/asus-fanmode/README b/system/asus-fanmode/README
new file mode 100644
index 0000000000..45716e5d17
--- /dev/null
+++ b/system/asus-fanmode/README
@@ -0,0 +1,5 @@
+asus_fanmode is a daemon that controls Fan Boost Mode on ASUS TUF
+series laptops. Based on CPU temperature readings this tool selects
+suitable fan mode using threshold values from configuration file.
+
+**TAKE NOTE: The rc file it's not included in this slackbuild.
diff --git a/system/asus-fanmode/asus-fanmode.SlackBuild b/system/asus-fanmode/asus-fanmode.SlackBuild
new file mode 100644
index 0000000000..532d5a1f8d
--- /dev/null
+++ b/system/asus-fanmode/asus-fanmode.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for asus-fanmode
+
+# Copyright 2023 juanma1980 <juanma1980@disroot.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=asus-fanmode
+SRCNAM=asus_fanmode
+VERSION=${VERSION:-0.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ICM_DOWNLOAD="no"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+make
+if [ "$ICM_DOWNLOAD" = "yes" ]; then
+ ./getweb all
+fi
+make install DESTDIR=$PKG
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#Remove systemd unit
+rm -fr $PKG/usr/lib/
+# Also, include the SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+mv etc/asus_fanmode.conf etc/asus_fanmode.conf.new
+
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/asus-fanmode/asus-fanmode.info b/system/asus-fanmode/asus-fanmode.info
new file mode 100644
index 0000000000..7c1cb1f262
--- /dev/null
+++ b/system/asus-fanmode/asus-fanmode.info
@@ -0,0 +1,10 @@
+PRGNAM="asus-fanmode"
+VERSION="0.3.1"
+HOMEPAGE="https://github.com/leonmaxx/asus_fanmode"
+DOWNLOAD="https://github.com/leonmaxx/asus_fanmode/archive/refs/tags/v0.3.1/asus_fanmode-0.3.1.tar.gz"
+MD5SUM="59c37676f23c29cabea2d893cefaed10"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="juanma1980"
+EMAIL="juanma1980@disroot.org"
diff --git a/system/asus-fanmode/doinst.sh b/system/asus-fanmode/doinst.sh
new file mode 100644
index 0000000000..d2aaeff119
--- /dev/null
+++ b/system/asus-fanmode/doinst.sh
@@ -0,0 +1,16 @@
+# $RCSfile: doinst.sh,v $
+# $Revision: 1.9 $
+# $Date: 2023-05-11 07:58:15+01 $
+# DW
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+config etc/asus_fanmode.conf.new
diff --git a/system/asus-fanmode/slack-desc b/system/asus-fanmode/slack-desc
new file mode 100644
index 0000000000..5d38510efd
--- /dev/null
+++ b/system/asus-fanmode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+asus-fanmode: asus-fanmode (Fan Boost Daemon)
+asus-fanmode:
+asus-fanmode: asus-fanmode is a daemon that controls Fan Boost Mode on
+asus-fanmode: ASUS TUF series laptops. Based on CPU temperature readings this
+asus-fanmode: tool selects suitable fan mode using threshold values from
+asus-fanmode: configuration file.
+asus-fanmode:
+asus-fanmode:
+asus-fanmode:
+asus-fanmode:
+asus-fanmode: